package cn.kk.spring_simple_operation.mapper;

import cn.kk.spring_simple_operation.entity.APlusProduct;
import cn.kk.spring_simple_operation.model.vo.PublishInfoVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * A+产品 Mapper 接口
 * </p>
 *
 * @author guokunkun
 * @since 2025-03-18
 */
@Mapper
public interface APlusProductMapper extends BaseMapper<APlusProduct> {

	List<String> getSuperiorSkuList(@Param("list") List<String> list);

	List<String> getRelatedProduct(@Param("list") List<String> skuList);

	List<PublishInfoVo> getPublishInfoByIds(@Param("idList") List<Long> idList);

	String getSolarName(@Param("skuList") List<String> skuList);
}
